package de.hsadmin.mods.qstat;

import java.util.List;

import de.hsadmin.core.model.AbstractEntity;
import de.hsadmin.core.model.AbstractModuleImpl;
import de.hsadmin.core.model.HSAdminException;

public class QTaskModuleImpl extends AbstractModuleImpl {

	public QTaskModuleImpl() {
	}

	@Override
	public List<AbstractEntity> search(Class<? extends AbstractEntity> entityClass, String condition, String orderBy) throws HSAdminException {
		if (orderBy == null || orderBy.length() == 0) {
			orderBy = "ORDER BY obj.started DESC";
		}
		return super.search(entityClass, condition, orderBy);
	}

}
